#ifndef _OEXPLOSIONFX_H_
#define _OEXPLOSIONFX_H_

enum
{
	// Variables
	EXPLOSIONFX_THICKNESS				= 1000,
	EXPLOSIONFX_THICKNESS_RANDOM		= 1001,
	EXPLOSIONFX_DENSITY					= 1002,
	EXPLOSIONFX_DENSITY_RANDOM			= 1003,
	EXPLOSIONFX_CLUSTERKIND				= 1004,
		EXPLOSIONFX_CLUSTERKIND_POLYS	= 0,
		EXPLOSIONFX_CLUSTERKIND_STAGS	= 1,
		EXPLOSIONFX_CLUSTERKIND_SE_PO	= 2,
		EXPLOSIONFX_CLUSTERKIND_AUTOM	= 3,
	EXPLOSIONFX_CLUSTERFIX				= 1005,
	EXPLOSIONFX_DISAPPEAR				= 1006,
	EXPLOSIONFX_DISAPPEARKIND			= 1007,
		EXPLOSIONFX_DISAPPEARKIND_TIME	= 0,
		EXPLOSIONFX_DISAPPEARKIND_DIST	= 1,
	EXPLOSIONFX_EXPLOSTRENGTH			= 1008,
	EXPLOSIONFX_EXPLOSTRENGTH_FALLOFF	= 1009,
	EXPLOSIONFX_EXPLOSTRENGTH_RANDOM	= 1010,
	EXPLOSIONFX_EXPLODIRECTION			= 1011,
		EXPLOSIONFX_EXPLODIRECTION_ALL	= 0,
		EXPLOSIONFX_EXPLODIRECTION_O_X	= 1,
		EXPLOSIONFX_EXPLODIRECTION_E_X	= 2,
		EXPLOSIONFX_EXPLODIRECTION_O_Y	= 3,
		EXPLOSIONFX_EXPLODIRECTION_E_Y	= 4,
		EXPLOSIONFX_EXPLODIRECTION_O_Z	= 5,
		EXPLOSIONFX_EXPLODIRECTION_E_Z	= 6,
	EXPLOSIONFX_EXPLODIRECTION_RANDOM	= 1012,
	EXPLOSIONFX_EXPLOTIME				= 1013,
	EXPLOSIONFX_TIME					= 1014,
	EXPLOSIONFX_DSPEED					= 1015,
	EXPLOSIONFX_DSPEED_FALLOFF			= 1016,
	EXPLOSIONFX_DSPEED_RANDOM			= 1017,
	EXPLOSIONFX_DMAX_RANGE				= 1018,
	EXPLOSIONFX_DMAX_RANGE_RANDOM		= 1019,
	EXPLOSIONFX_WSPEED					= 1020,
	EXPLOSIONFX_WSPEED_FALLOFF			= 1021,
	EXPLOSIONFX_WSPEED_RANDOM			= 1022,
	EXPLOSIONFX_ROTACHSE				= 1023,
		EXPLOSIONFX_ROTACHSE_C			= 0,
		EXPLOSIONFX_ROTACHSE_X			= 1,
		EXPLOSIONFX_ROTACHSE_Y			= 2,
		EXPLOSIONFX_ROTACHSE_Z			= 3,
	EXPLOSIONFX_ROTACHSE_RANDOM			= 1024,
	EXPLOSIONFX_GRAVITATION				= 1025,
	EXPLOSIONFX_GRAVITATION_RANDOM		= 1026,
	EXPLOSIONFX_GDIRECTION				= 1027,
		EXPLOSIONFX_GDIRECTION_NO		= 0,
		EXPLOSIONFX_GDIRECTION_X		= 1,
		EXPLOSIONFX_GDIRECTION_NX		= 2,
		EXPLOSIONFX_GDIRECTION_Y		= 3,
		EXPLOSIONFX_GDIRECTION_NY		= 4,
		EXPLOSIONFX_GDIRECTION_Z		= 5,
		EXPLOSIONFX_GDIRECTION_NZ		= 6,
	EXPLOSIONFX_GMAX_RANGE				= 1028,
	EXPLOSIONFX_GMAX_RANGE_RANDOM		= 1029,

	EXPLOSIONFX_WINDSPEED				= 1034,
	EXPLOSIONFX_WIRBELSPEED				= 1035,
	EXPLOSIONFX_DISAPPEAR_START			= 1036,
	EXPLOSIONFX_DISAPPEAR_DELAY			= 1037,
	EXPLOSIONFX_WINDSPEED_RANDOM		= 1038,
	EXPLOSIONFX_WIRBELSPEED_RANDOM		= 1039,
	EXPLOSIONFX_LINEAR					= 1040,
	EXPLOSIONFX_CLUSTER_NAME			= 1043,
	EXPLOSIONFX_CLUSTER_MIN_POLYS		= 1044,
	EXPLOSIONFX_CLUSTER_MAX_POLYS		= 1045,

	// Groups
	ID_EXPLOSIONFX_EXPLOSION						= 1046,
	ID_EXPLOSIONFX_CLUSTER							= 1047,
	ID_EXPLOSIONFX_GRAVITY							= 1048,
	ID_EXPLOSIONFX_ROTATION							= 1049,
	ID_EXPLOSIONFX_SPECIALS							= 1050
};

#endif
